> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refold.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event by ID

This API fetches a specific Refold [event](https://app.gocobalt.io/developer/events) of your org's default app by ID.

## Request description

#### Path Parameters

<ParamField path="event_id" type="string" required>
  Event Id. For Eg: 64c8d0e22f6f5ad7ce6b4a62
</ParamField>

## Response description

<Tabs>
  <Tab title="200">
    <ResponseField name="_id" type="string">
      Event Id
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the event
    </ResponseField>

    <ResponseField name="response" type="array">
      Array of response field objects derived from the event model

      <Expandable title="properties">
        <ResponseField name="key" type="string">
          Field key name. Nested object fields are represented using dot notation, e.g. `prospect.email`
        </ResponseField>

        <ResponseField name="type" type="string">
          Field data type. Expected values: `text`, `object`
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="raw_response" type="string">
      Raw JSON string of the event payload
    </ResponseField>
  </Tab>

  <Tab title="400">
    <ResponseField name="status_code" type="integer">
      System generated status Code
    </ResponseField>

    <ResponseField name="http_error_type" type="string">
      System generated error type
    </ResponseField>

    <ResponseField name="error_code" type="string">
      Specific error code to identify the error
    </ResponseField>

    <ResponseField name="message" type="string">
      Error message
    </ResponseField>
  </Tab>

  <Tab title="500">
    <ResponseField name="status_code" type="integer">
      System generated status Code
    </ResponseField>

    <ResponseField name="error_type" type="string">
      System generated error type
    </ResponseField>

    <ResponseField name="message" type="string">
      Error message
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```JSON 200 theme={null}
  {
      "_id": "64c8d0e22f6f5ad7ce6b4a62",
      "name": "Add Contact",
      "response": [
          {
              "key": "first_name",
              "type": "text"
          },
          {
              "key": "last_name",
              "type": "text"
          },
          {
              "key": "email",
              "type": "text"
          },
          {
              "key": "phone",
              "type": "text"
          },
          {
              "key": "id",
              "type": "text"
          },
          {
              "key": "prospect",
              "type": "object"
          },
          {
              "key": "prospect.first_name",
              "type": "text"
          },
          {
              "key": "prospect.last_name",
              "type": "text"
          },
          {
              "key": "prospect.email",
              "type": "text"
          },
          {
              "key": "prospect.phone",
              "type": "text"
          }
      ],
      "raw_response": "{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\",\"id\":\"9876543\",\"prospect\":{\"first_name\":\"John\",\"last_name\":\"Doe\",\"email\":\"john.doe@example.com\",\"phone\":\"1234567890\"}}"
  }
  ```

  ```JSON 400 theme={null}
  {
      "status_code": 400,
      "http_error_type": "BAD_REQUEST",
      "error_code": "INVALID_EVENT_ID",
      "message": "Event not found"
  }
  ```

  ```JSON 500 theme={null}
  {
      "status_code": 500,
      "error_type": "INTERNAL_SERVER_ERROR",
      "message": "Request failed with status code 500"
  }
  ```
</ResponseExample>
